[Unstable Update] 2020-12-22 - ICU, Firefox, Removal of Qt4

Hello community,

Another unstable branch update with some usual updates for you. Remember that we expect possible breakage of your system with this update!


Our web-service Branch-Compare got improved. Works also now on Mobile!.. #stayhome, #staysafe, #stayhealthy

  • Firefox got updated to 84.0.1
  • Mass-Rebuild against ICU
  • Qt4 got removed
  • Other regular upstream updates

If you like following latest Plasma development you may also like to check out our current version of manjaro-kde-dev, which we build on a regular basis against kde-git master packages. Also check out our latest Manjaro Nibia 20.2 release! KDE, XFCE and Gnome


Our current supported kernels

  • linux44 4.4.248
  • linux49 4.9.248
  • linux414 4.14.212
  • linux419 4.19.163
  • linux54 5.4.85
  • linux59 5.9.16 [EOL]
  • linux510 5.10.2
  • linux54-rt 5.4.82_rt45
  • linux59-rt 5.9.1_rt19

Packages Changes (Mon Dec 21 23:55:35 CET 2020)

:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                                 qt4           4.8.7-29.1                    -
                 spread-sheet-widget              0.3-2.0                    -


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                                 0ad             a23.1-13             a23.1-14
                             aegisub             3.2.2-43             3.2.2-44
                               bazel              3.7.1-1              3.7.2-1
                         bluegriffon               3.1-11               3.1-12
                 bluegriffon-i18n-cs               3.1-11               3.1-12
                 bluegriffon-i18n-de               3.1-11               3.1-12
              bluegriffon-i18n-es-es               3.1-11               3.1-12
                 bluegriffon-i18n-fi               3.1-11               3.1-12
                 bluegriffon-i18n-fr               3.1-11               3.1-12
                 bluegriffon-i18n-gl               3.1-11               3.1-12
                 bluegriffon-i18n-he               3.1-11               3.1-12
                 bluegriffon-i18n-hu               3.1-11               3.1-12
                 bluegriffon-i18n-it               3.1-11               3.1-12
                 bluegriffon-i18n-ja               3.1-11               3.1-12
                 bluegriffon-i18n-ko               3.1-11               3.1-12
                 bluegriffon-i18n-nl               3.1-11               3.1-12
                 bluegriffon-i18n-pl               3.1-11               3.1-12
                 bluegriffon-i18n-ru               3.1-11               3.1-12
                 bluegriffon-i18n-sl               3.1-11               3.1-12
                 bluegriffon-i18n-sr               3.1-11               3.1-12
              bluegriffon-i18n-sv-se               3.1-11               3.1-12
              bluegriffon-i18n-zh-cn               3.1-11               3.1-12
              bluegriffon-i18n-zh-tw               3.1-11               3.1-12
                               broot              1.0.7-1              1.0.9-1
                             calibre              5.7.2-1              5.7.2-2
                             couchdb              3.1.1-1              3.1.1-2
                           darktable            2:3.2.1-2            2:3.2.1-3
                                 dee              1.2.7-9             1.2.7-10
               deepin-control-center           5.3.0.55-1           5.3.0.56-1
                         deepin-dock           5.3.0.38-1           5.3.0.39-1
                        deepin-music           6.0.1.91-1           6.0.1.91-2
               deepin-system-monitor            5.8.0.3-2            5.8.0.3-3
                                dino              0.2.0-1              0.2.0-2
                             dovecot           2.3.11.3-2           2.3.11.3-3
                              dwdiff              2.1.3-1              2.1.3-2
                            electron             11.1.0-2             11.1.1-1
                          electron10             10.2.0-2             10.2.0-3
                           electron6             6.1.12-2             6.1.12-3
                           electron9              9.4.0-2              9.4.0-3
                              elinks              0.13-22             0.13.5-1
                           flickcurl               1.26-9              1.26-10
                           fwbuilder              5.3.7-7              5.3.7-8
                       gambas3-devel             3.15.2-4             3.15.2-5
                     gambas3-gb-args             3.15.2-4             3.15.2-5
                    gambas3-gb-cairo             3.15.2-4             3.15.2-5
                    gambas3-gb-chart             3.15.2-4             3.15.2-5
                  gambas3-gb-clipper             3.15.2-4             3.15.2-5
                  gambas3-gb-complex             3.15.2-4             3.15.2-5
                 gambas3-gb-compress             3.15.2-4             3.15.2-5
                    gambas3-gb-crypt             3.15.2-4             3.15.2-5
                     gambas3-gb-data             3.15.2-4             3.15.2-5
                       gambas3-gb-db             3.15.2-4             3.15.2-5
                  gambas3-gb-db-form             3.15.2-4             3.15.2-5
                 gambas3-gb-db-mysql             3.15.2-4             3.15.2-5
                  gambas3-gb-db-odbc             3.15.2-4             3.15.2-5
            gambas3-gb-db-postgresql             3.15.2-4             3.15.2-5
               gambas3-gb-db-sqlite3             3.15.2-4             3.15.2-5
                     gambas3-gb-dbus             3.15.2-4             3.15.2-5
                  gambas3-gb-desktop             3.15.2-4             3.15.2-5
            gambas3-gb-desktop-gnome             3.15.2-4             3.15.2-5
              gambas3-gb-desktop-x11             3.15.2-4             3.15.2-5
           gambas3-gb-eval-highlight             3.15.2-4             3.15.2-5
                     gambas3-gb-form             3.15.2-4             3.15.2-5
              gambas3-gb-form-dialog             3.15.2-4             3.15.2-5
              gambas3-gb-form-editor             3.15.2-4             3.15.2-5
                 gambas3-gb-form-mdi             3.15.2-4             3.15.2-5
               gambas3-gb-form-stock             3.15.2-4             3.15.2-5
            gambas3-gb-form-terminal             3.15.2-4             3.15.2-5
                      gambas3-gb-gmp             3.15.2-4             3.15.2-5
                      gambas3-gb-gsl             3.15.2-4             3.15.2-5
                     gambas3-gb-gtk3             3.15.2-4             3.15.2-5
                    gambas3-gb-httpd             3.15.2-4             3.15.2-5
                    gambas3-gb-image             3.15.2-4             3.15.2-5
             gambas3-gb-image-effect             3.15.2-4             3.15.2-5
              gambas3-gb-image-imlib             3.15.2-4             3.15.2-5
                 gambas3-gb-image-io             3.15.2-4             3.15.2-5
                  gambas3-gb-inotify             3.15.2-4             3.15.2-5
                   gambas3-gb-libxml             3.15.2-4             3.15.2-5
                  gambas3-gb-logging             3.15.2-4             3.15.2-5
                      gambas3-gb-map             3.15.2-4             3.15.2-5
                 gambas3-gb-markdown             3.15.2-4             3.15.2-5
                    gambas3-gb-media             3.15.2-4             3.15.2-5
               gambas3-gb-media-form             3.15.2-4             3.15.2-5
                gambas3-gb-memcached             3.15.2-4             3.15.2-5
                     gambas3-gb-mime             3.15.2-4             3.15.2-5
                    gambas3-gb-mysql             3.15.2-4             3.15.2-5
                  gambas3-gb-ncurses             3.15.2-4             3.15.2-5
                      gambas3-gb-net             3.15.2-4             3.15.2-5
                 gambas3-gb-net-curl             3.15.2-4             3.15.2-5
                 gambas3-gb-net-pop3             3.15.2-4             3.15.2-5
                 gambas3-gb-net-smtp             3.15.2-4             3.15.2-5
                   gambas3-gb-openal             3.15.2-4             3.15.2-5
                   gambas3-gb-opengl             3.15.2-4             3.15.2-5
              gambas3-gb-opengl-glsl             3.15.2-4             3.15.2-5
               gambas3-gb-opengl-glu             3.15.2-4             3.15.2-5
               gambas3-gb-opengl-sge             3.15.2-4             3.15.2-5
                  gambas3-gb-openssl             3.15.2-4             3.15.2-5
                   gambas3-gb-option             3.15.2-4             3.15.2-5
                     gambas3-gb-pcre             3.15.2-4             3.15.2-5
                      gambas3-gb-pdf             3.15.2-4             3.15.2-5
                  gambas3-gb-poppler             3.15.2-4             3.15.2-5
                      gambas3-gb-qt5             3.15.2-4             3.15.2-5
               gambas3-gb-qt5-opengl             3.15.2-4             3.15.2-5
               gambas3-gb-qt5-webkit             3.15.2-4             3.15.2-5
                   gambas3-gb-report             3.15.2-4             3.15.2-5
                  gambas3-gb-scanner             3.15.2-4             3.15.2-5
                      gambas3-gb-sdl             3.15.2-4             3.15.2-5
                gambas3-gb-sdl-sound             3.15.2-4             3.15.2-5
                     gambas3-gb-sdl2             3.15.2-4             3.15.2-5
               gambas3-gb-sdl2-audio             3.15.2-4             3.15.2-5
                 gambas3-gb-settings             3.15.2-4             3.15.2-5
                   gambas3-gb-signal             3.15.2-4             3.15.2-5
                     gambas3-gb-term             3.15.2-4             3.15.2-5
                     gambas3-gb-util             3.15.2-4             3.15.2-5
                 gambas3-gb-util-web             3.15.2-4             3.15.2-5
                      gambas3-gb-v4l             3.15.2-4             3.15.2-5
                       gambas3-gb-vb             3.15.2-4             3.15.2-5
                      gambas3-gb-web             3.15.2-4             3.15.2-5
                 gambas3-gb-web-feed             3.15.2-4             3.15.2-5
                 gambas3-gb-web-form             3.15.2-4             3.15.2-5
                  gambas3-gb-web-gui             3.15.2-4             3.15.2-5
                      gambas3-gb-xml             3.15.2-4             3.15.2-5
                 gambas3-gb-xml-html             3.15.2-4             3.15.2-5
                  gambas3-gb-xml-rpc             3.15.2-4             3.15.2-5
                 gambas3-gb-xml-xslt             3.15.2-4             3.15.2-5
                         gambas3-ide             3.15.2-4             3.15.2-5
                     gambas3-runtime             3.15.2-4             3.15.2-5
                      gambas3-script             3.15.2-4             3.15.2-5
                                gdal             3.0.4-16             3.0.4-17
                              gitlab             13.6.3-1             13.6.3-2
                       gitlab-gitaly             13.6.1-1             13.6.1-2
                       gitlab-runner             13.6.0-1             13.7.0-1
                             gnucash                4.2-4                4.2-5
                        gnustep-base             1.27.0-1             1.27.0-2
                    haskell-citeproc                0.2-4                0.2-5
                      haskell-hakyll          4.13.4.1-74          4.13.4.1-75
                    haskell-text-icu           0.7.0.1-34           0.7.0.1-35
                                 imv              4.2.0-1              4.2.0-2
                         jami-daemon           20201023-1           20201216-1
                          jami-gnome           20201019-1           20201217-1
                             kbibtex            1:0.9.2-2            1:0.9.2-3
                           kiwix-lib              9.4.1-1              9.4.1-2
               kvantum-theme-materia           20201214-1           20201222-1
                              ledger              3.2.1-4              3.2.1-5
                             libavif              0.8.2-1              0.8.3-1
                       libjamiclient           20201021-1           20201217-1
                      libmodsecurity            1:3.0.4-3            1:3.0.4-4
              libperconaserverclient          8.0.22_13-1          8.0.22_13-2
                              libzim              6.3.0-1              6.3.0-2
                                maim              5.6.3-2              5.6.3-3
                              mapnik             3.0.23-4             3.0.23-5
                         materia-kde           20201214-1           20201222-1
                      mongo-c-driver             1.17.3-1             1.17.3-2
                             ncmpcpp                0.9-1                0.9-2
                            newsboat               2.21-1               2.21-2
                              nodejs             15.4.0-1             15.4.0-2
                  nodejs-lts-dubnium            10.23.0-1            10.23.0-2
                   nodejs-lts-erbium            12.20.0-1            12.20.0-2
                  nodejs-lts-fermium            14.15.3-1            14.15.3-2
                        oath-toolkit              2.6.4-1              2.6.4-2
                             opendht            1:2.1.6-3          1:2.1.9.5-1
                            openrct2              0.3.2-2              0.3.2-3
                             openttd             1.10.3-1             1.10.3-2
                              pandoc             2.11.2-6             2.11.2-7
                     pandoc-citeproc         0.17.0.2-112         0.17.0.2-113
                     pandoc-crossref           0.3.8.2-50           0.3.8.2-51
                      percona-server          8.0.22_13-1          8.0.22_13-2
              percona-server-clients          8.0.22_13-1          8.0.22_13-2
                         php-mongodb              1.9.0-1              1.9.0-2
                              poedit            1:2.4.1-3            1:2.4.1-4
                         python-gdal             3.0.4-16             3.0.4-17
                        python-pyicu                2.6-2                2.6-3
                        python-sword             1.8.1-10             1.8.1-11
                   python-tensorflow              2.4.0-1              2.4.0-2
              python-tensorflow-cuda              2.4.0-1              2.4.0-2
               python-tensorflow-opt              2.4.0-1              2.4.0-2
          python-tensorflow-opt-cuda              2.4.0-1              2.4.0-2
                              rspamd                2.6-1                2.6-2
                             scribus            1.5.6.1-3            1.5.6.1-4
                           seamonkey             2.53.5-1             2.53.5-2
                           skk-jisyo           20201213-1           20201220-1
                                slop                7.5-3                7.5-4
                               sword             1.8.1-10             1.8.1-11
                           tarantool              2.7.0-1              2.7.0-2
                          tensorflow              2.4.0-1              2.4.0-2
                     tensorflow-cuda              2.4.0-1              2.4.0-2
                      tensorflow-opt              2.4.0-1              2.4.0-2
                 tensorflow-opt-cuda              2.4.0-1              2.4.0-2
                           tesseract              4.1.1-3              4.1.1-4
                          unarchiver             1.10.7-1             1.10.7-2
                           widelands                 21-3                 21-4
                             xalan-c             1:1.12-1             1:1.12-2
                                 yaz             5.30.3-1             5.30.3-2
                          youtube-dl         2020.12.14-1         2020.12.22-1
                               zcash              4.1.1-3              4.2.0-1
                                 znc              1.7.5-9             1.7.5-10
                              libyuv                    -     r2212+dfaf7534-1


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                                 icu               67.1-1               68.2-1
                            xfsprogs              5.8.0-1              5.8.0-2


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                               boxit              2.1.3-6              2.1.3-7
                            boxit-32              2.1.3-2                    -
                     boxit-32-server              2.1.3-2                    -
                           boxit-arm              2.1.3-4              2.1.3-5
                    boxit-arm-server              2.1.3-4              2.1.3-5
                        boxit-server              2.1.3-6              2.1.3-7
            manjaro-settings-manager             0.5.6-10             0.5.6-11
        manjaro-settings-manager-kcm             0.5.6-10             0.5.6-11
  manjaro-settings-manager-knotifier             0.5.6-10             0.5.6-11
   manjaro-settings-manager-notifier             0.5.6-10             0.5.6-11
                            qt5-base             5.15.2-1             5.15.2-2
             qt5-xcb-private-headers             5.15.2-1             5.15.2-2


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                         389-ds-base            1.4.4.4-4            1.4.4.4-5
                           beanshell              2.0b6-3              2.1.0-1
                               boost             1.75.0-1             1.75.0-2
                          boost-libs             1.75.0-1             1.75.0-2
                               botan             2.17.2-2             2.17.3-1
                              brltty                6.1-4                6.1-5
                            chromium       87.0.4280.88-2       87.0.4280.88-3
                             enchant             2.2.12-1             2.2.13-2
               evolution-data-server             3.38.2-1             3.38.2-2
                             firefox               84.0-1             84.0.1-1
                    firefox-i18n-ach               84.0-1             84.0.1-1
                     firefox-i18n-af               84.0-1             84.0.1-1
                     firefox-i18n-an               84.0-1             84.0.1-1
                     firefox-i18n-ar               84.0-1             84.0.1-1
                    firefox-i18n-ast               84.0-1             84.0.1-1
                     firefox-i18n-az               84.0-1             84.0.1-1
                     firefox-i18n-be               84.0-1             84.0.1-1
                     firefox-i18n-bg               84.0-1             84.0.1-1
                     firefox-i18n-bn               84.0-1             84.0.1-1
                     firefox-i18n-br               84.0-1             84.0.1-1
                     firefox-i18n-bs               84.0-1             84.0.1-1
                     firefox-i18n-ca               84.0-1             84.0.1-1
            firefox-i18n-ca-valencia               84.0-1             84.0.1-1
                    firefox-i18n-cak               84.0-1             84.0.1-1
                     firefox-i18n-cs               84.0-1             84.0.1-1
                     firefox-i18n-cy               84.0-1             84.0.1-1
                     firefox-i18n-da               84.0-1             84.0.1-1
                     firefox-i18n-de               84.0-1             84.0.1-1
                    firefox-i18n-dsb               84.0-1             84.0.1-1
                     firefox-i18n-el               84.0-1             84.0.1-1
                  firefox-i18n-en-ca               84.0-1             84.0.1-1
                  firefox-i18n-en-gb               84.0-1             84.0.1-1
                  firefox-i18n-en-us               84.0-1             84.0.1-1
                     firefox-i18n-eo               84.0-1             84.0.1-1
                  firefox-i18n-es-ar               84.0-1             84.0.1-1
                  firefox-i18n-es-cl               84.0-1             84.0.1-1
                  firefox-i18n-es-es               84.0-1             84.0.1-1
                  firefox-i18n-es-mx               84.0-1             84.0.1-1
                     firefox-i18n-et               84.0-1             84.0.1-1
                     firefox-i18n-eu               84.0-1             84.0.1-1
                     firefox-i18n-fa               84.0-1             84.0.1-1
                     firefox-i18n-ff               84.0-1             84.0.1-1
                     firefox-i18n-fi               84.0-1             84.0.1-1
                     firefox-i18n-fr               84.0-1             84.0.1-1
                  firefox-i18n-fy-nl               84.0-1             84.0.1-1
                  firefox-i18n-ga-ie               84.0-1             84.0.1-1
                     firefox-i18n-gd               84.0-1             84.0.1-1
                     firefox-i18n-gl               84.0-1             84.0.1-1
                     firefox-i18n-gn               84.0-1             84.0.1-1
                  firefox-i18n-gu-in               84.0-1             84.0.1-1
                     firefox-i18n-he               84.0-1             84.0.1-1
                  firefox-i18n-hi-in               84.0-1             84.0.1-1
                     firefox-i18n-hr               84.0-1             84.0.1-1
                    firefox-i18n-hsb               84.0-1             84.0.1-1
                     firefox-i18n-hu               84.0-1             84.0.1-1
                  firefox-i18n-hy-am               84.0-1             84.0.1-1
                     firefox-i18n-ia               84.0-1             84.0.1-1
                     firefox-i18n-id               84.0-1             84.0.1-1
                     firefox-i18n-is               84.0-1             84.0.1-1
                     firefox-i18n-it               84.0-1             84.0.1-1
                     firefox-i18n-ja               84.0-1             84.0.1-1
                     firefox-i18n-ka               84.0-1             84.0.1-1
                    firefox-i18n-kab               84.0-1             84.0.1-1
                     firefox-i18n-kk               84.0-1             84.0.1-1
                     firefox-i18n-km               84.0-1             84.0.1-1
                     firefox-i18n-kn               84.0-1             84.0.1-1
                     firefox-i18n-ko               84.0-1             84.0.1-1
                    firefox-i18n-lij               84.0-1             84.0.1-1
                     firefox-i18n-lt               84.0-1             84.0.1-1
                     firefox-i18n-lv               84.0-1             84.0.1-1
                     firefox-i18n-mk               84.0-1             84.0.1-1
                     firefox-i18n-mr               84.0-1             84.0.1-1
                     firefox-i18n-ms               84.0-1             84.0.1-1
                     firefox-i18n-my               84.0-1             84.0.1-1
                  firefox-i18n-nb-no               84.0-1             84.0.1-1
                  firefox-i18n-ne-np               84.0-1             84.0.1-1
                     firefox-i18n-nl               84.0-1             84.0.1-1
                  firefox-i18n-nn-no               84.0-1             84.0.1-1
                     firefox-i18n-oc               84.0-1             84.0.1-1
                  firefox-i18n-pa-in               84.0-1             84.0.1-1
                     firefox-i18n-pl               84.0-1             84.0.1-1
                  firefox-i18n-pt-br               84.0-1             84.0.1-1
                  firefox-i18n-pt-pt               84.0-1             84.0.1-1
                     firefox-i18n-rm               84.0-1             84.0.1-1
                     firefox-i18n-ro               84.0-1             84.0.1-1
                     firefox-i18n-ru               84.0-1             84.0.1-1
                     firefox-i18n-si               84.0-1             84.0.1-1
                     firefox-i18n-sk               84.0-1             84.0.1-1
                     firefox-i18n-sl               84.0-1             84.0.1-1
                    firefox-i18n-son               84.0-1             84.0.1-1
                     firefox-i18n-sq               84.0-1             84.0.1-1
                     firefox-i18n-sr               84.0-1             84.0.1-1
                  firefox-i18n-sv-se               84.0-1             84.0.1-1
                     firefox-i18n-ta               84.0-1             84.0.1-1
                     firefox-i18n-te               84.0-1             84.0.1-1
                     firefox-i18n-th               84.0-1             84.0.1-1
                     firefox-i18n-tl               84.0-1             84.0.1-1
                     firefox-i18n-tr               84.0-1             84.0.1-1
                    firefox-i18n-trs               84.0-1             84.0.1-1
                     firefox-i18n-uk               84.0-1             84.0.1-1
                     firefox-i18n-ur               84.0-1             84.0.1-1
                     firefox-i18n-uz               84.0-1             84.0.1-1
                     firefox-i18n-vi               84.0-1             84.0.1-1
                     firefox-i18n-xh               84.0-1             84.0.1-1
                  firefox-i18n-zh-cn               84.0-1             84.0.1-1
                  firefox-i18n-zh-tw               84.0-1             84.0.1-1
                            harfbuzz              2.7.2-1              2.7.2-3
                        harfbuzz-icu              2.7.2-1              2.7.2-3
                                htop              3.0.3-1              3.0.4-1
                                 kdb              3.2.0-5              3.2.0-6
                              libcdr              0.1.6-2              0.1.6-3
                           libe-book              0.1.3-7              0.1.3-8
                             libical              3.0.8-2              3.0.8-3
                            libmspub              0.1.4-8              0.1.4-9
                      libphonenumber            8.12.14-2            8.12.14-3
                        libqalculate             3.15.0-1             3.15.0-2
                              libqxp              0.0.2-4              0.0.2-5
                   libreoffice-fresh              7.0.4-1              7.0.4-2
               libreoffice-fresh-sdk              7.0.4-1              7.0.4-2
                   libreoffice-still              6.4.7-7              6.4.7-8
               libreoffice-still-sdk              6.4.7-7              6.4.7-8
                          libsynctex         2020.54586-7         2020.54586-8
                            libvisio              0.1.7-3              0.1.7-4
                             libxml2             2.9.10-7             2.9.10-8
                              libzmf              0.0.2-8              0.0.2-9
                            m17n-lib              1.8.0-7              1.8.0-8
                                 mpd             0.22.3-1             0.22.3-2
                             nuspell              4.2.0-1              4.2.0-2
                                 php             7.4.13-1             7.4.13-2
                          php-apache             7.4.13-1             7.4.13-2
                             php-cgi             7.4.13-1             7.4.13-2
                           php-dblib             7.4.13-1             7.4.13-2
                           php-embed             7.4.13-1             7.4.13-2
                         php-enchant             7.4.13-1             7.4.13-2
                             php-fpm             7.4.13-1             7.4.13-2
                              php-gd             7.4.13-1             7.4.13-2
                            php-imap             7.4.13-1             7.4.13-2
                            php-intl             7.4.13-1             7.4.13-2
                            php-odbc             7.4.13-1             7.4.13-2
                           php-pgsql             7.4.13-1             7.4.13-2
                          php-phpdbg             7.4.13-1             7.4.13-2
                          php-pspell             7.4.13-1             7.4.13-2
                            php-snmp             7.4.13-1             7.4.13-2
                          php-sodium             7.4.13-1             7.4.13-2
                          php-sqlite             7.4.13-1             7.4.13-2
                            php-tidy             7.4.13-1             7.4.13-2
                             php-xsl             7.4.13-1             7.4.13-2
                             postfix              3.5.8-3              3.5.8-4
                          postgresql               13.1-2               13.1-3
                     postgresql-docs               13.1-2               13.1-3
                     postgresql-libs               13.1-2               13.1-3
              postgresql-old-upgrade               12.5-1               12.5-2
                            qt5-base             5.15.2-1             5.15.2-2
                        qt5-location             5.15.2-1             5.15.2-2
                       qt5-webengine             5.15.2-2             5.15.2-3
                          qt5-webkit      5.212.0alpha4-8      5.212.0alpha4-9
             qt5-xcb-private-headers             5.15.2-1             5.15.2-2
                         qt6-5compat              6.0.0-1              6.0.0-2
                            qt6-base              6.0.0-1              6.0.0-2
                                   r              4.0.3-1              4.0.3-2
                              raptor            2.0.15-14            2.0.15-15
                               samba             4.13.3-1             4.13.3-2
                                sdl2             2.0.12-3             2.0.14-1
                           smbclient             4.13.3-1             4.13.3-2
                                tepl              5.0.1-1              5.0.1-2
                         texlive-bin         2020.54586-7         2020.54586-8
                         thunderbird             78.6.0-1             78.6.0-2
                 thunderbird-i18n-ar             78.6.0-1             78.6.0-2
                thunderbird-i18n-ast             78.6.0-1             78.6.0-2
                 thunderbird-i18n-be             78.6.0-1             78.6.0-2
                 thunderbird-i18n-bg             78.6.0-1             78.6.0-2
                 thunderbird-i18n-br             78.6.0-1             78.6.0-2
                 thunderbird-i18n-ca             78.6.0-1             78.6.0-2
                 thunderbird-i18n-cs             78.6.0-1             78.6.0-2
                 thunderbird-i18n-cy             78.6.0-1             78.6.0-2
                 thunderbird-i18n-da             78.6.0-1             78.6.0-2
                 thunderbird-i18n-de             78.6.0-1             78.6.0-2
                thunderbird-i18n-dsb             78.6.0-1             78.6.0-2
                 thunderbird-i18n-el             78.6.0-1             78.6.0-2
              thunderbird-i18n-en-gb             78.6.0-1             78.6.0-2
              thunderbird-i18n-en-us             78.6.0-1             78.6.0-2
              thunderbird-i18n-es-ar             78.6.0-1             78.6.0-2
              thunderbird-i18n-es-es             78.6.0-1             78.6.0-2
                 thunderbird-i18n-et             78.6.0-1             78.6.0-2
                 thunderbird-i18n-eu             78.6.0-1             78.6.0-2
                 thunderbird-i18n-fi             78.6.0-1             78.6.0-2
                 thunderbird-i18n-fr             78.6.0-1             78.6.0-2
              thunderbird-i18n-fy-nl             78.6.0-1             78.6.0-2
              thunderbird-i18n-ga-ie             78.6.0-1             78.6.0-2
                 thunderbird-i18n-gd             78.6.0-1             78.6.0-2
                 thunderbird-i18n-gl             78.6.0-1             78.6.0-2
                 thunderbird-i18n-he             78.6.0-1             78.6.0-2
                 thunderbird-i18n-hr             78.6.0-1             78.6.0-2
                thunderbird-i18n-hsb             78.6.0-1             78.6.0-2
                 thunderbird-i18n-hu             78.6.0-1             78.6.0-2
              thunderbird-i18n-hy-am             78.6.0-1             78.6.0-2
                 thunderbird-i18n-id             78.6.0-1             78.6.0-2
                 thunderbird-i18n-is             78.6.0-1             78.6.0-2
                 thunderbird-i18n-it             78.6.0-1             78.6.0-2
                 thunderbird-i18n-ja             78.6.0-1             78.6.0-2
                 thunderbird-i18n-ko             78.6.0-1             78.6.0-2
                 thunderbird-i18n-lt             78.6.0-1             78.6.0-2
              thunderbird-i18n-nb-no             78.6.0-1             78.6.0-2
                 thunderbird-i18n-nl             78.6.0-1             78.6.0-2
              thunderbird-i18n-nn-no             78.6.0-1             78.6.0-2
                 thunderbird-i18n-pl             78.6.0-1             78.6.0-2
              thunderbird-i18n-pt-br             78.6.0-1             78.6.0-2
              thunderbird-i18n-pt-pt             78.6.0-1             78.6.0-2
                 thunderbird-i18n-rm             78.6.0-1             78.6.0-2
                 thunderbird-i18n-ro             78.6.0-1             78.6.0-2
                 thunderbird-i18n-ru             78.6.0-1             78.6.0-2
                 thunderbird-i18n-si             78.6.0-1             78.6.0-2
                 thunderbird-i18n-sk             78.6.0-1             78.6.0-2
                 thunderbird-i18n-sl             78.6.0-1             78.6.0-2
                 thunderbird-i18n-sq             78.6.0-1             78.6.0-2
                 thunderbird-i18n-sr             78.6.0-1             78.6.0-2
              thunderbird-i18n-sv-se             78.6.0-1             78.6.0-2
                 thunderbird-i18n-tr             78.6.0-1             78.6.0-2
                 thunderbird-i18n-uk             78.6.0-1             78.6.0-2
                 thunderbird-i18n-vi             78.6.0-1             78.6.0-2
              thunderbird-i18n-zh-cn             78.6.0-1             78.6.0-2
              thunderbird-i18n-zh-tw             78.6.0-1             78.6.0-2
                             tracker              2.3.6-2              2.3.6-3
                      tracker-miners              2.3.5-2              2.3.5-3
                            tracker3              3.0.2-1              3.0.2-2
                     tracker3-miners              3.0.3-1              3.0.3-2
                          vte-common             0.62.1-1             0.62.1-2
                                vte3             0.62.1-1             0.62.1-2
                          webkit2gtk             2.30.4-1             2.30.4-2
                            xerces-c              3.2.3-1              3.2.3-2


:: Different overlay package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                           lib32-qt4             4.8.7-13                    -
                   lib32-qtcurve-qt4              1.9.1-1                    -


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                      lib32-harfbuzz              2.7.2-1              2.7.2-3
                  lib32-harfbuzz-icu              2.7.2-1              2.7.2-3
                           lib32-icu               67.1-1               68.2-1
                       lib32-libxml2             2.9.10-2             2.9.10-3

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:

1 Like

With today’s Kernel update to 5.10.2-2 the following errors cropped up in Journal.

Dec 22 08:36:47 Dell1535 kernel: ERROR @wl_cfg80211_get_tx_power : 
Dec 22 08:36:47 Dell1535 kernel: ERROR @wl_dev_intvar_get : 
Dec 22 08:36:47 Dell1535 kernel: ERROR @wl_cfg80211_get_tx_power : 
Dec 22 08:36:47 Dell1535 kernel: ERROR @wl_set_mode : 
Dec 22 08:36:47 Dell1535 kernel: ERROR @wl_update_wiphybands : 
Dec 22 08:36:47 Dell1535 kernel: ERROR @wl_dev_intvar_get : 
Dec 22 08:36:47 Dell1535 kernel: ERROR @wl_cfg80211_get_tx_power : 
Dec 22 08:36:47 Dell1535 kernel: ERROR @wl_set_mode : 
Dec 22 08:36:47 Dell1535 kernel: ERROR @wl_update_wiphybands : 
Dec 22 08:36:48 Dell1535 wpa_supplicant[815]: Could not set interface wlp12s0 flags (UP): Operation not permitted
Dec 22 08:36:48 Dell1535 wpa_supplicant[815]: nl80211: Could not set interface 'wlp12s0' UP
Dec 22 08:36:48 Dell1535 wpa_supplicant[815]: Could not set interface wlp12s0 flags (UP): Operation not permitted
Dec 22 08:36:48 Dell1535 wpa_supplicant[815]: WEXT: Could not set interface 'wlp12s0' UP
Dec 22 08:36:48 Dell1535 wpa_supplicant[815]: wlp12s0: Failed to initialize driver interface
Dec 22 08:36:48 Dell1535 NetworkManager[362]: <error> [1608644208.0114] device (wlp12s0): Couldn't initialize supplicant interface: GDBus.Err>

The linuxbroadcom update is faulty. I cannot see any wifi connections in Network Manager.

We know - there’s a problem with broadcom-wl - we’ve to wait for an update from upstream

2 Likes

Got problem with icu, is there any way to downgrade it?

The update process finish with :

g_module_open() failed for /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-avif.so: /usr/lib/libyuv.so: undefined symbol: jpeg_read_raw_data

I confirm a problem with broadcom-wl even on kernel 5.9.16 (no wifi hotspot detected) still works on 4.19

What problem? One does not just downgrade icu. Many packages depend on it and were rebuilt for the new version. If you downgrade icu, you’d have to downgrade those as well.

Todays icu update broke some of my packages

1 Like

This is completely normal - there are rebuilds for that

1 Like

I’m getting:
error: failed to prepare transaction (could not satisfy dependencies)
:: installing icu (68.2-1) breaks dependency ‘icu<67.2’ required by manjaro-settings-manager

3 Likes

You are at unstable !!!
It’s your own fault if you make updates too quickly and don’t find out beforehand whether everything is already complete.

1 Like

Okay, easy there. I don’t have a problem. I’m just reporting the error, meaning the package needs a rebuild? Isn’t that what this thread is for?

8 Likes

With today’s Kernel update to 5.10.2-2 the following errors cropped up in Journal.

Dec 22 08:36:47 Dell1535 kernel: ERROR @wl_cfg80211_get_tx_power : 
Dec 22 08:36:47 Dell1535 kernel: ERROR @wl_dev_intvar_get : 
Dec 22 08:36:47 Dell1535 kernel: ERROR @wl_cfg80211_get_tx_power : 
Dec 22 08:36:47 Dell1535 kernel: ERROR @wl_set_mode : 
Dec 22 08:36:47 Dell1535 kernel: ERROR @wl_update_wiphybands : 
Dec 22 08:36:47 Dell1535 kernel: ERROR @wl_dev_intvar_get : 
Dec 22 08:36:47 Dell1535 kernel: ERROR @wl_cfg80211_get_tx_power : 
Dec 22 08:36:47 Dell1535 kernel: ERROR @wl_set_mode : 
Dec 22 08:36:47 Dell1535 kernel: ERROR @wl_update_wiphybands : 
Dec 22 08:36:48 Dell1535 wpa_supplicant[815]: Could not set interface wlp12s0 flags (UP): Operation not permitted
Dec 22 08:36:48 Dell1535 wpa_supplicant[815]: nl80211: Could not set interface 'wlp12s0' UP
Dec 22 08:36:48 Dell1535 wpa_supplicant[815]: Could not set interface wlp12s0 flags (UP): Operation not permitted
Dec 22 08:36:48 Dell1535 wpa_supplicant[815]: WEXT: Could not set interface 'wlp12s0' UP
Dec 22 08:36:48 Dell1535 wpa_supplicant[815]: wlp12s0: Failed to initialize driver interface
Dec 22 08:36:48 Dell1535 NetworkManager[362]: <error> [1608644208.0114] device (wlp12s0): Couldn't initialize supplicant interface: GDBus.Err>

The linuxbroadcom update is faulty. I cannot see any wifi connections in Network Manager.

Looks good now. Thanks @schinfo! Sorry, I guess we caught you right in the middle of rebuilding packages.

So I have to wait for a rebuild of “manjaro-settings-manager”?

  • I changed the repo and I get the update.

If you’re getting the “could not satisfy dependencies” error, you need to wait. The package has been rebuilt now, but it may take a little while for all the repo mirrors to sync.

1 Like

Broadcom-WL needs some additional patches

1 Like

libreoffice
/usr/lib/libreoffice/program/soffice.bin: error while loading shared libraries: libicuuc.so.68: cannot open shared object file: No such file or directory

poedit
poedit: error while loading shared libraries: libicui18n.so.68: cannot open shared object file: No such file or directory

So waiting for the rebuilds

poedit and libreoffice-fresh / libreoffice-still were already rebuilt.

Make sure your mirrors are up to date, you’re certainly not:

sudo pacman-mirrors -f5 && sudo pacman -Syyu
1 Like

That did not help